Commerce
Post v1publicstorefronts checkout
POST
/
v1
/
public
/
storefronts
/
{slug}
/
checkout
cURL
curl --request POST \
--url https://api.wazapin.com/v1/public/storefronts/{slug}/checkout \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"customer_phone": "<string>",
"items": [
{
"product_slug": "<string>",
"quantity": 123,
"selected_options": {},
"variant_id": "<string>"
}
],
"cart_id": "<string>",
"customer_name": "<string>",
"promotion_code": "<string>"
}
'const options = {
method: 'POST',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
customer_phone: '<string>',
items: [
{
product_slug: '<string>',
quantity: 123,
selected_options: {},
variant_id: '<string>'
}
],
cart_id: '<string>',
customer_name: '<string>',
promotion_code: '<string>'
})
};
fetch('https://api.wazapin.com/v1/public/storefronts/{slug}/checkout', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.wazapin.com/v1/public/storefronts/{slug}/checkout"
payload = {
"customer_phone": "<string>",
"items": [
{
"product_slug": "<string>",
"quantity": 123,
"selected_options": {},
"variant_id": "<string>"
}
],
"cart_id": "<string>",
"customer_name": "<string>",
"promotion_code": "<string>"
}
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"draft_order_id": "<string>",
"expires_at": "<string>",
"token": "<string>",
"url": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}Authorizations
Path Parameters
Body
application/json
⌘I
cURL
curl --request POST \
--url https://api.wazapin.com/v1/public/storefronts/{slug}/checkout \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"customer_phone": "<string>",
"items": [
{
"product_slug": "<string>",
"quantity": 123,
"selected_options": {},
"variant_id": "<string>"
}
],
"cart_id": "<string>",
"customer_name": "<string>",
"promotion_code": "<string>"
}
'const options = {
method: 'POST',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
customer_phone: '<string>',
items: [
{
product_slug: '<string>',
quantity: 123,
selected_options: {},
variant_id: '<string>'
}
],
cart_id: '<string>',
customer_name: '<string>',
promotion_code: '<string>'
})
};
fetch('https://api.wazapin.com/v1/public/storefronts/{slug}/checkout', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.wazapin.com/v1/public/storefronts/{slug}/checkout"
payload = {
"customer_phone": "<string>",
"items": [
{
"product_slug": "<string>",
"quantity": 123,
"selected_options": {},
"variant_id": "<string>"
}
],
"cart_id": "<string>",
"customer_name": "<string>",
"promotion_code": "<string>"
}
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"draft_order_id": "<string>",
"expires_at": "<string>",
"token": "<string>",
"url": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}